Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.space
Interface Node

All Superinterfaces:
  Location

All Known Subinterfaces:
  NodeOccupant

All Known Implementing Classes:
  BasicCell, BasicModel, BasicMovementAgent, BasicMovementModel, BasicMovementStateAgent, Block, Bug, Bug, Bug, Bug, Cell, CellOccupant, City, City3D, ComplexLocation, ComplexMovementAgent, DefaultNode, DemographicPrisonersDilemma, DemographicPrisonersDilemma3D, Epidemic, Epidemic, Epidemic, Epidemic3D, Epidemic3D, Epidemic3D, Epidemic3DTiles, EpidemicPeriods, Firm, Flea, GAS_Base, Habitat, Habitat, Habitat, Habitat, HeatBug, Heatbugs, Heatbugs3D, Heatbugs3DCustom, HeatCell, HostCell, Individual, Individual, Individual, Individual, Individual, Instrument, Markets, Markets3D, MethodsAgent, OperationsAgent, Place, Place, PlayCell, Player, Rat, Region, Region3D, RegionalLocation, Scape, SpatialModel, StateAgent, StupidModel1, StupidModel13D, StupidModel2, StupidModel23D, StupidModel3, StupidModel33D, StupidModel5, StupidModel53D, SugarAgent, SugarCell, Trader, WikiExample, WikiExample3D

    public interface Node

extends Location

The Interface Node.

Method Summary
`java.util.List` | `findNeighbors()` Find neighbors.
`Node` | `findRandomAvailableNeighbor()` Find random neighbor.
`Node` | `findRandomNeighbor()` Find random neighbor.
`Node` | `getOccupant()` Gets the occupant.
`boolean` | `isAvailable()` Checks if is available.
`void` | `setOccupant(Node occupant)` Sets the occupant.

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, clone, getCoordinate, initialize, isDelete, markForDeletion, setCoordinate`

Method Detail

### isAvailable

    boolean isAvailable()

  Checks if is available.

  Returns:
    true, if is available

### findRandomNeighbor

    Node findRandomNeighbor()

  Find random neighbor.

  Returns:
    the node

### findRandomAvailableNeighbor

    Node findRandomAvailableNeighbor()

  Find random neighbor.

  Returns:
    the node

### findNeighbors

    java.util.List findNeighbors()

  Find neighbors.

  Returns:
    the list

### getOccupant

    Node getOccupant()

  Gets the occupant.

  Returns:
    the occupant
  Throws:
    `java.lang.UnsupportedOperationException` - if occupants are not supported.

### setOccupant

    void setOccupant(Node occupant)

  Sets the occupant.

  Parameters:
    `occupant` - the occupant
  Throws:
    `java.lang.UnsupportedOperationException` - if occupants are not supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD